Bug 1724759 - [si] ibus-sayura not rendering properly on gedit and libreoffice.
Summary: [si] ibus-sayura not rendering properly on gedit and libreoffice.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-sayura
Version: 30
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-27 17:56 UTC by Danishka Navin
Modified: 2019-08-01 03:00 UTC (History)
8 users (show)

Fixed In Version: ibus-sayura-1.3.2-17.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-01 03:00:11 UTC
Type: Bug


Attachments (Terms of Use)
sample text (19.68 KB, image/png)
2019-06-27 17:56 UTC, Danishka Navin
no flags Details
Incorrect rendering with key-sequence (3.75 KB, image/png)
2019-07-14 17:36 UTC, Danishka Navin
no flags Details
Correct rendering with key-sequence (4.47 KB, image/png)
2019-07-14 17:38 UTC, Danishka Navin
no flags Details
fix-for-wayland-rhbz1724759.patch (769 bytes, patch)
2019-07-17 10:48 UTC, Mike FABIAN
no flags Details | Diff
Expected and actual rendering with key sequence using the ibus-sayura-1.3.2-17 (17.09 KB, image/png)
2019-07-23 18:10 UTC, Danishka Navin
no flags Details

Description Danishka Navin 2019-06-27 17:56:00 UTC
Created attachment 1585314 [details]
sample text

Description of problem:

Freshly installed fedora 30.
mounted previously used /home (previous version is fedora 28).

Version-Release number of selected component (if applicable):
ibus-sayura-1.3.2-15.fc30.x86_64

How reproducible:
Open either gedit or LibreOffice writer.

Steps to Reproduce:
1. enable ibus-sinhala
2. type keys 'amma'
3.

Actual results:
අ්ා 

Expected results:
අම්මා 

Additional info:
This issue is not able to reproduce on Firefox 67.0.4 (64-bit).

Comment 1 Danishka Navin 2019-07-13 07:17:04 UTC
Please note that Fedora 30 seems not a good option for those who write Sinhala content.

Comment 2 Parag Nemade 2019-07-14 16:36:09 UTC
You need to provide screenshots of key-sequence, correct rendering and incorrect rendering.
You said F28 was working for you which is EOL now. Tracing this issue will take some time.

Comment 3 Danishka Navin 2019-07-14 17:32:46 UTC
(In reply to Parag Nemade from comment #2)
> You need to provide screenshots of key-sequence, correct rendering and
> incorrect rendering.
> You said F28 was working for you which is EOL now. Tracing this issue will
> take some time.

As I mentioned in the ticket this issue is available on Fedora 30.
I have freshly installed Fedora 30 but mounted previous Fedora 28's /home.

Comment 4 Danishka Navin 2019-07-14 17:36:34 UTC
Created attachment 1590554 [details]
Incorrect rendering with  key-sequence

Comment 5 Danishka Navin 2019-07-14 17:38:16 UTC
Created attachment 1590555 [details]
Correct rendering with  key-sequence

Comment 6 Parag Nemade 2019-07-15 14:59:27 UTC
I found that F29GA onward rendering is broken. so I need to find F28 (EOL'ed) system and compare what got changed between F28 to F29. Then bisect the issue on some package that caused this issue. This will take some time.

Comment 7 Danishka Navin 2019-07-15 17:20:18 UTC
Not sure if this helpful but its about ibus-m17n
https://bugzilla.redhat.com/show_bug.cgi?id=1659748

Comment 8 Mike FABIAN 2019-07-17 09:28:38 UTC
(In reply to Danishka Navin from comment #5)
> Created attachment 1590555 [details]
> Correct rendering with  key-sequence

This works for me in Fedora 30 in gedit when using the i3 windowmanager.

Comment 9 Mike FABIAN 2019-07-17 09:57:59 UTC
(In reply to Mike FABIAN from comment #8)
> (In reply to Danishka Navin from comment #5)
> > Created attachment 1590555 [details]
> > Correct rendering with  key-sequence
> 
> This works for me in Fedora 30 in gedit when using the i3 windowmanager.

It also works on Fedora 30 in gedit when using Gnome Xorg.

It works  incorrectly as in https://bugzilla.redhat.com/show_bug.cgi?id=1724759#c4
in Fedora 30 in gedit when using Gnome Wayland.

Comment 10 Mike FABIAN 2019-07-17 10:48:04 UTC
Created attachment 1591374 [details]
fix-for-wayland-rhbz1724759.patch

I think this fixes the problem.

Comment 11 Fedora Update System 2019-07-23 17:07:25 UTC
FEDORA-2019-b554a96bde has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b554a96bde

Comment 12 Danishka Navin 2019-07-23 18:10:30 UTC
Created attachment 1592946 [details]
Expected and actual rendering with key sequence using the ibus-sayura-1.3.2-17

Thanks Fabian and Parag!

I have updated ibus-sayura using ibus-sayura-1.3.2-17 and then restarted ibus 
(did not log out and login) only issued following command. Noticed that rendering is better than before but require to improve. Please see the attached file herewith.

ibus restart

Comment 13 Fedora Update System 2019-07-24 01:44:38 UTC
ibus-sayura-1.3.2-17.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b554a96bde

Comment 14 Danishka Navin 2019-07-24 03:55:25 UTC
Comment on attachment 1592946 [details]
Expected and actual rendering with key sequence using the ibus-sayura-1.3.2-17

Tested after rebooting the system.
Now ibus-sayura working as expected.

Thanks.

Comment 15 Fedora Update System 2019-08-01 03:00:11 UTC
ibus-sayura-1.3.2-17.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.